package com.fikyb.myapplication;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;
import android.telephony.SmsManager;

import android.Manifest;

public class MainActivity extends AppCompatActivity {

    private EditText noHP;
    private EditText txtMsg;
    private Button btnSms;
    String nomorHp;
    String txtMessage;
    private int[] grantResults;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        noHP = (EditText) findViewById(R.id.nomorHp);
        txtMsg = (EditText) findViewById(R.id.pesanSms);
        btnSms = (Button) findViewById(R.id.btnSubmit);

        btnSms.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                if (ContextCompat.checkSelfPermission(MainActivity.this, Manifest.permission.SEND_SMS)
                        == PackageManager.PERMISSION_GRANTED) {
                    sendSMSMessage();
                } else {
                    ActivityCompat.requestPermissions(MainActivity.this, new String[]{Manifest.permission.SEND_SMS}, 100);
                }
            }
        });
    }
    @Override
    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults) {
        super.onRequestPermissionsResult(requestCode,permissions, grantResults);
        if(requestCode == 100 && grantResults.length > 0 && grantResults[0] == PackageManager.PERMISSION_GRANTED){
            sendSMSMessage();
        }
        else{
            Toast.makeText(MainActivity.this, "SMS GAGAL DIKIRIM", Toast.LENGTH_SHORT).show();
        }
    }
    protected void sendSMSMessage() {
        nomorHp = noHP.getText().toString();
        txtMessage = txtMsg.getText().toString();
        if (nomorHp.isEmpty() && !txtMessage.isEmpty()) {
            SmsManager smsManager = SmsManager.getDefault();
            smsManager.sendTextMessage(nomorHp, null, txtMessage, null, null);
            Toast.makeText(MainActivity.this, "SMS Berhasil", Toast.LENGTH_SHORT).show();
            }
        }
    }
